View Issue Details

IDProjectCategoryView StatusLast Update
0002699SymmetricDSImprovementpublic2016-08-09 13:10
ReporterelongAssigned Toelong 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002699: Copy directly to staging when nodes are on same server
DescriptionCopy directly to staging when nodes are on same server. The staging (stream to file) needs to be enabled, and the nodes need to be multi-homed in the same SymmetricDS instance. Instead of compressing and streaming the file over HTTP, copy directly from the outgoing staging file to the incoming staging file. The HTTP transport is still used to send a "retry, X" for batch X, which causes the target node to read the batch content from staging.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 80ae9dab

2016-07-29 15:29:01

admin

Details Diff
0002699: Copy directly to staging when nodes are on same server
0002699
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 822859a9

2016-08-01 09:16:23

admin

Details Diff
0002699: Copy directly to staging when nodes are on same server
use native file copy if it's available, else use streams

0002699
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/SymmetricUtils.java Diff File

Issue History

Date Modified Username Field Change
2016-07-29 15:26 elong New Issue
2016-07-29 15:26 elong Status new => assigned
2016-07-29 15:26 elong Assigned To => elong
2016-07-29 15:29 elong Status assigned => resolved
2016-07-29 15:29 elong Fixed in Version => 3.8.0
2016-07-29 15:29 elong Resolution open => fixed
2016-07-29 16:00 admin Changeset attached => SymmetricDS 3.8 80ae9dab
2016-08-01 10:00 admin Changeset attached => SymmetricDS 3.8 822859a9
2016-08-09 13:10 admin Status resolved => closed